Permalink
Browse files

minor: fixing publishing

  • Loading branch information...
1 parent e612249 commit 220466b01776f9b5700b614dd29c8a1bfa4eebf7 @tychoish tychoish committed Feb 4, 2014
View
@@ -57,5 +57,4 @@ primer/source/includes/toc-*yaml
primer/source/includes/steps-*yaml
!primer/source/includes/toc-primer-*yaml
!primer/source/includes/steps-primer*yaml
-
primer/source/images/
@@ -1,106 +0,0 @@
-===================================
-Install MongoDB Enterprise on Linux
-===================================
-
-.. versionadded:: 2.2
-
-.. default-domain:: mongodb
-
-`MongoDB Enterprise
-<http://www.mongodb.com/products/mongodb-enterprise>`_ is available on
-select platforms and contains support for several features related to
-security and monitoring.
-
-.. _required-packages:
-
-Required Packages
------------------
-
-.. versionchanged:: 2.4.4
- MongoDB Enterprise uses Cyrus SASL instead of GNU SASL.
- Earlier 2.4 Enterprise versions use GNU SASL (``libgsasl``)
- instead. See the :v2.4:`2.4 version of this document
- </tutorial/install-mongodb-enterprise.txt>` for more information
-
-To use MongoDB Enterprise, you must install several
-prerequisites. The names of the packages vary by distribution and are
-as follows:
-
-- Debian or Ubuntu 12.04 require: ``libssl0.9.8``, ``snmp``, ``snmpd``,
- ``cyrus-sasl2-dbg``, ``cyrus-sasl2-mit-dbg``, ``libsasl2-2``,
- ``libsasl2-dev``, ``libsasl2-modules``, and
- ``libsasl2-modules-gssapi-mit``. Issue a command such as the
- following to install these packages:
-
- .. code-block:: sh
-
- sudo apt-get install libssl0.9.8 snmp snmpd cyrus-sasl2-dbg cyrus-sasl2-mit-dbg libsasl2-2 libsasl2-dev libsasl2-modules libsasl2-modules-gssapi-mit
-
-- CentOS and Red Hat Enterprise Linux 6.x and 5.x, as well as Amazon
- Linux AMI require: ``net-snmp``, ``net-snmp-libs``, ``openssl``,
- ``net-snmp-utils``, ``cyrus-sasl``, ``cyrus-sasl-lib``,
- ``cyrus-sasl-devel``, and ``cyrus-sasl-gssapi``. Issue a command
- such as the following to install these packages:
-
- .. code-block:: sh
-
- sudo yum install openssl net-snmp net-snmp-libs net-snmp-utils cyrus-sasl cyrus-sasl-lib cyrus-sasl-devel cyrus-sasl-gssapi
-
-- SUSE Enterprise Linux requires ``libopenssl0_9_8``, ``libsnmp15``,
- ``slessp1-libsnmp15``, ``snmp-mibs``, ``cyrus-sasl``,
- ``cyrus-sasl-devel``, and ``cyrus-sasl-gssapi``. Issue a command such
- as the following to install these packages:
-
- .. code-block:: sh
-
- sudo zypper install libopenssl0_9_8 libsnmp15 slessp1-libsnmp15 snmp-mibs cyrus-sasl cyrus-sasl-devel cyrus-sasl-gssapi
-
-Install MongoDB Enterprise Binaries
------------------------------------
-
-When you have installed the required packages, and `downloaded the
-Enterprise packages
-<http://www.mongodb.com/products/mongodb-enterprise>`_ you can install
-the packages using the same procedure as a standard :doc:`installation
-of MongoDB on Linux Systems </tutorial/install-mongodb-on-linux>`.
-
-.. note::
-
- ``.deb`` and ``.rpm`` packages for Enterprise releases are
- available for some platforms. You can use these to install MongoDB
- directly using the ``dpkg`` and ``rpm`` utilities.
-
-Use the sequence of commands below to download and extract
-MongoDB Enterprise packages appropriate for your distribution:
-
-Ubuntu 12.04
-~~~~~~~~~~~~
-
-.. include:: /includes/install-curl-release-ent-ubuntu1204.rst
-
-Red Hat Enterprise Linux 6.x
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-.. include:: /includes/install-curl-release-ent-rhel62.rst
-
-Amazon Linux AMI
-~~~~~~~~~~~~~~~~
-
-.. include:: /includes/install-curl-release-ent-amzn64.rst
-
-SUSE Enterprise Linux
-~~~~~~~~~~~~~~~~~~~~~
-
-.. include:: /includes/install-curl-release-ent-suse11.rst
-
-Run MongoDB
------------
-
-.. note:: The Enterprise packages currently include an example SNMP
- configuration file named ``mongod.conf``. This file is not a
- MongoDB configuration file.
-
-.. include:: /tutorial/install-mongodb-on-linux.rst
- :start-after: start-include-for-enterprise-tutorial
- :end-before: end-include-for-enterprise-tutorial
-
@@ -35,6 +35,7 @@ as follows:
multiverse repository:
.. code-block:: sh
+
echo 'deb http://extras.ubuntu.com/ubuntu precise main' | sudo tee /etc/apt/sources.list.d/multiverse.list
Then, issue the following sequence of command to download the

0 comments on commit 220466b

Please sign in to comment.